# TSMonitorLGCreate

Creates a line graph context for use with TS to monitor convergence of preconditioned residual norms.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSMonitorLGCreate(const char host[],const char label[],int x,int y,int m,int n,PetscDrawLG *draw)

Collective on TS

### Input Parameters

| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels

### Output Parameter

draw -the drawing context

### Options Database Key

-ts_monitor_draw -automatically sets line graph monitor

### Notes

Use TSMonitorLGDestroy() to destroy this line graph, not PetscDrawLGDestroy().

### Keywords

TS, monitor, line graph, residual, seealso

### See Also

TSMonitorLGDestroy(), TSMonitorSet()

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages